Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model
Interface VTViewTemplate

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTViewTemplateImpl

    public interface VTViewTemplate

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'View Template'.

The following features are supported:

- `Control Validation Configuration`
- `Styles`
- `Referenced Ecores`

See Also:
  `VTTemplatePackage.getViewTemplate()`

Method Summary
`VTControlValidationTemplate` | `getControlValidationConfiguration()` Returns the value of the 'Control Validation Configuration' containment reference.
`org.eclipse.emf.common.util.EList<String>` | `getReferencedEcores()` Returns the value of the 'Referenced Ecores' attribute list.
`org.eclipse.emf.common.util.EList<VTStyle>` | `getStyles()` Returns the value of the 'Styles' containment reference list.
`void` | `setControlValidationConfiguration(VTControlValidationTemplate value)` Sets the value of the ' `Control Validation Configuration`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getControlValidationConfiguration

    VTControlValidationTemplate getControlValidationConfiguration()

  Returns the value of the 'Control Validation Configuration' containment reference.

  If the meaning of the 'Control Validation Configuration' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Control Validation Configuration' containment reference.
  See Also:
    `setControlValidationConfiguration(VTControlValidationTemplate)`, `VTTemplatePackage.getViewTemplate_ControlValidationConfiguration()`

### setControlValidationConfiguration

    void setControlValidationConfiguration(VTControlValidationTemplate value)

  Sets the value of the ' `Control Validation Configuration`' containment reference.

  Parameters:
    `value` - the new value of the 'Control Validation Configuration' containment reference.
  See Also:
    `getControlValidationConfiguration()`

### getStyles

    org.eclipse.emf.common.util.EList<VTStyle> getStyles()

  Returns the value of the 'Styles' containment reference list. The list contents are of type `VTStyle`.

  If the meaning of the 'Styles' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Styles' containment reference list.
  See Also:
    `VTTemplatePackage.getViewTemplate_Styles()`

### getReferencedEcores

    org.eclipse.emf.common.util.EList<String> getReferencedEcores()

  Returns the value of the 'Referenced Ecores' attribute list. The list contents are of type `String`.

  If the meaning of the 'Referenced Ecores' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Ecores' attribute list.
  See Also:
    `VTTemplatePackage.getViewTemplate_ReferencedEcores()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.